Package org.jfree.layouting.input.style.values

## Class CSSConstant

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSConstant

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`

      public final class CSSConstant
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 25.11.2005, 18:22:54
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSConstant​(java.lang.String constant)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getCSSText​()` |
    `int` | `hashCode​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSConstant

          public CSSConstant​(java.lang.String constant)

  - ### Method Detail

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`